EXT2DLYS(1)

NAME
ext2dlys - create a SCALD wire-delays file from a tree of .ext files

SYNOPSIS
ext2dlys [ -d psPerPf ] [ -l psPerCentimicron ] [ -m minmult maxmult ] [ -o outfile ] [ -t capscale ] [ -D drivefile ] [ -I iload ] [ -L netfile ] [ -M scaldmapfile ] [ -O oload ] [ extcheck-options ] file

DESCRIPTION
Ext2dlys is used to produce a SCALD wire-delays file (in dlys(5) format) on standard output, to be used in simulation and timing verification. It computes the wire delay information from capacitance in the circuit extracted from a layout by magic(1).

The filename file given to ext2dlys is the name of the root .ext file of the extracted circuit, and also of the .net file. The .ext files, in ext(5) format, contain the capacitance to substrate for each electrical node, specify the connectivity of the circuit, and also give distance information. The .net file, in net(5) format, lists the nets and terminals in the circuit that will be present in the .dlys file. All terminals in the .net file are by default considered to be inputs (receivers) unless explicitly identified as drivers in the drivefile given with the -D option; see the description below. In addition to identifying the terminals of interest, the .net file gives the signal name associated with each net as a comment line immediately prior to the list of terminals in the net.

The remaining arguments to ext2dlys tell how this capacitance and distance information is to be converted into delay, as well as specifying the use of alternate files:

-d psPerPf
    Used to turn capacitance into delay; one picofarad is equal to psPerPf picoseconds of delay. The default value is 100.0, or roughly what one would expect if using 100 ohm drivers. The value of psPerPf is used only for drivers whose effective on resistance hasn't been given explicitly in the drivefile specified with the -D flag (see below).

-l psPerCentimicron
    Used to turn distance into delay; one centimicron of distance is equal to psPerCentimicron picoseconds of delay.

-m minmult maxmult
    Multipliers to convert estimated delays into best-case (minmult) and worst-case (maxmult). Both are 1.0 by default.

-o outfile
    Write the output to outfile (note that no suffix is implied) instead of to the standard output.

-t capscale
    Gives a scale factor by which units of capacitance in the .sim file will be multiplied in order to give femtofarads. Capscale may be a real number; its default value is 1.0.

-D drivefile
    Also used to turn capacitance into delay, but on a per-net basis. Each line of the file drivefile consists of a hierarchical pin name (of an output driver) and its associated ``drive factor'' (equivalent to delay in the -d flag above), namely the number of picoseconds per picofarad for the net driven by that output pin. Nets driven by a pin listed not in this file use the default delay specified by -d above. If this file isn't given, we don't know for certain which pins are the drivers in each net, so we arbitrarily pick one pin per net and assume it is the driver.

-I iload
    In addition to the capacitance reported in the .sim file for each net, add an additional iload attofarads of capacitance for each input on a given net to the total capacitance for that net. (Inputs are counted only if they appear in the .net file.) The default value of iload is 0.0, since it varies so much from one technology to the next. This option is provided to account for extra transistor capacitance not computed by the extractor, such as when the technology of the circuit being extracted is non-MOS (e.g, bipolar).

-L netfile
    Instead of using file.net as the netlist file, use netfile.net instead.

-M scaldmap
    If specified, then scaldmap is read (note no suffix implied) to obtain a translation between Magic terminal names and SCALD pin names. Each line in scaldmap contains a Magic name followed by a SCALD name. The Magic name is terminated by the first blank; the SCALD name continues from the next non-blank character to the end of the line, possibly including embedded blanks. When writing the output file, the corresponding SCALD name is used instead of the Magic name for each pin in a net. See dlys(5) for more details of the output file format.

-O oload
    In addition to the capacitance reported in the .sim file for each net, add an additional oload attofarads of capacitance for each output on a given net to the total capacitance for that net. The default value of oload is 0.0. If only -I and not -O is specified, ext2dlys treats this as though both -I and -O had been specified with the same values; inputs and outputs are not distinguished.

In addition, all of the options of extcheck(1) are accepted.

SEE ALSO
extcheck(1), ext2sim(1), ext2spice(1), magic(1), dlys(5), ext(5)

AUTHOR
Walter Scott